Subject: Re: [PATCH] Remove 'submodules' from the TODO section of the User Manual.

From: "J. Bruce Fields" <[email-masked]>
Date: Tue, 25 Sep 2007 16:13:06 -0400

On Tue, Sep 25, 2007 at 04:02:52PM -0400, bfields wrote:
> I think we should try to keep the git documentation mostly confined to
> tools that are distributed with git itself.  So it might be worth a few
> words just to mention the existance of tailor and how it compares to
> other tools, but I'd leave it at that.

So in fact it might be that what's needed isn't any new documentation on
the available tools with their features and limitations.

I know that when I recently had to deal with a svn tree the hardest part
was figuring out where to start (git-svn?  git-svnimport?).  I seem to
recall threads here suggesting this is a general problem.

One exception--the "series of tarballs" thing--I think it's cool that
you can just unpack a bunch of tarballs and string them together into a
git history.  It gives a good sense of how git works, and I don't think
it's documented explicitly anywhere.  I think that might be kinda fun to
write up.  But I haven't tried.

--b.